Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition Struct Reference

List of all members.

## Public Member Functions
| IteratorPosition (CompositeSource *composite)
| IteratorPosition (const IteratorPosition &rhs)
IteratorPosition & | operator= (const IteratorPosition &rhs)
bool | operator== (const IteratorPosition &rhs) const
bool | operator!= (const IteratorPosition &rhs) const
CompositeSource * | current ()
const CompositeSource * | current () const
bool | valid () const
bool | advance ()
bool | isActive (const CompositeSource &,int)
bool | advanceToNextChild (CompositeSource &composite, int &index)
## Public Attributes
CompositeSource * | _composite
int | _index

## Constructor & Destructor Documentation

osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::IteratorPosition | ( | CompositeSource * | composite | ) | `[inline]`

osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::IteratorPosition | ( | const IteratorPosition & | rhs | ) | `[inline]`

## Member Function Documentation

bool osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::advance | ( |  | ) | `[inline]`

bool osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::advanceToNextChild | ( | CompositeSource & | composite,
|  | int & | index
| ) | `[inline]`

const CompositeSource* osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::current | ( |  | ) | const`[inline]`

CompositeSource* osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::current | ( |  | ) | `[inline]`

bool osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::isActive | ( | const CompositeSource & | ,
|  | int |
| ) | `[inline]`

bool osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::operator!= | ( | const IteratorPosition & | rhs | ) | const`[inline]`

IteratorPosition& osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::operator= | ( | const IteratorPosition & | rhs | ) | `[inline]`

bool osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::operator== | ( | const IteratorPosition & | rhs | ) | const`[inline]`

bool osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::valid | ( |  | ) | const`[inline]`

## Member Data Documentation

CompositeSource* osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::_composite

int osgTerrain::DataSet::CompositeSource::iterator::IteratorPosition::_index

The documentation for this struct was generated from the following file:

- DataSet